> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Fetch all payout methods

GET https://api.letsdeel.com/rest/payouts/contractors/methods

Returns all payout methods associated with the authenticated account, with optional filtering to return only the default method.

 **Token scopes**: `worker:read`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/fetch-all-payout-methods-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `is_default` (boolean, optional) — Filter by whether the method is default. If true, only default methods will be returned.

## Response

### 200

List of payout methods retrieved successfully.

- `data` (list of PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataItems, required) — List of payout methods associated with the account.

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `errors` (list of PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of the payout method (method chain ID).
- `status` (string, required) — Current status of the payout method (e.g. PENDING, VERIFYING, APPROVED, FAILED).
- `payload` (map from string to any, required) — Dynamic properties based on selected option. For example, if `selected_option` is `SWIFT CODE`, payload may include `swiftCode`, `accountHolderName`, and `accountNumber`.
- `version` (string, required) — Unique identifier of the specific version of the payout method.
- `created_at` (string, required) — Timestamp when the payout method was created.
- `is_default` (boolean, required) — Specifies if the method is the default payout method - if true, autowithdrawal will be enabled for the contractor using this method
- `updated_at` (string, required) — Timestamp when the payout method was last updated.
- `payment_method` (string, required) — Type of payout method.
- `selected_option` (string, required) — Specifies the type of bank transfer method. Maps from the requirements type field.
- `address` (PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataItemsAddress, optional, nullable) — Address associated with the payout method, when available.
- `method_name` (string, optional, nullable) — Name for the method.

### PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code.
- `message` (string, optional) — Human-readable explanation.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataItemsAddress

Address associated with the payout method, when available.

- `city` (string, optional) — City name
- `state` (string, optional) — State code
- `country` (string, optional) — Country code
- `post_code` (string, optional) — Post code
- `first_line` (string, optional) — First line of the address

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "APPROVED",
      "payload": {
        "accountHolderName": "John Doe",
        "accountNumber": "SA0380000000608010167222",
        "currency": "USD",
        "swiftCode": "DBDBRSBG"
      },
      "version": "550e8400-e29b-41d4-a716-446655440001",
      "created_at": "2024-01-01T00:00:00.000Z",
      "is_default": true,
      "updated_at": "2024-01-01T00:00:00.000Z",
      "payment_method": "BANK TRANSFER",
      "selected_option": "SWIFT CODE",
      "address": {
        "city": "San Francisco",
        "state": "CA",
        "country": "US",
        "post_code": "22406",
        "first_line": "First Line"
      },
      "method_name": "Bank Method"
    },
    {
      "id": "223e4567-e89b-12d3-a456-426614174001",
      "status": "VERIFYING",
      "payload": {
        "accountHolderName": "John Doe",
        "accountNumber": "SA0380000000608010165443",
        "currency": "USD",
        "swiftCode": "DBDBRSBG"
      },
      "version": "660e8400-e29b-41d4-a716-446655440002",
      "created_at": "2024-01-01T00:00:00.000Z",
      "is_default": false,
      "updated_at": "2024-01-01T00:00:00.000Z",
      "payment_method": "BANK TRANSFER",
      "selected_option": "SWIFT CODE",
      "address": {
        "city": "San Francisco",
        "state": "CA",
        "country": "US",
        "post_code": "22406",
        "first_line": "Second Line"
      },
      "method_name": "Backup Method"
    }
  ]
}
```

**SDK Code**

```python Payouts_fetchAllPayoutMethods-v2026-01-01_example
import requests

url = "https://api.letsdeel.com/rest/payouts/contractors/methods"

querystring = {"is_default":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Payouts_fetchAllPayoutMethods-v2026-01-01_example
const url = 'https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payouts_fetchAllPayoutMethods-v2026-01-01_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payouts_fetchAllPayoutMethods-v2026-01-01_example
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Payouts_fetchAllPayoutMethods-v2026-01-01_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Payouts_fetchAllPayoutMethods-v2026-01-01_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Payouts_fetchAllPayoutMethods-v2026-01-01_example
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Payouts_fetchAllPayoutMethods-v2026-01-01_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/contractors/methods?is_default=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```